//Copyright (C)2014-2024 Gowin Semiconductor Corporation.
//All rights reserved.
//File Title: Template file for instantiation
//Tool Version: V1.9.9.03 (64-bit)
//Part Number: GW5AST-LV138FPG676AES
//Device: GW5AST-138
//Device Version: B
//Created Time: Mon May  6 15:16:06 2024

//Change the instance name and port connections to the signal names
//--------Copy here to design--------

	EDP_Decoder_Top your_instance_name(
		.I_rst_n(I_rst_n), //input I_rst_n
		.I_ls_clk(I_ls_clk), //input I_ls_clk
		.I_frame_type(I_frame_type), //input I_frame_type
		.I_scrm_value(I_scrm_value), //input I_scrm_value
		.O_vb_id(O_vb_id), //output [7:0] O_vb_id
		.O_mvid70(O_mvid70), //output [7:0] O_mvid70
		.O_maud70(O_maud70), //output [7:0] O_maud70
		.O_mvid(O_mvid), //output [23:0] O_mvid
		.O_nvid(O_nvid), //output [23:0] O_nvid
		.O_htotal(O_htotal), //output [15:0] O_htotal
		.O_vtotal(O_vtotal), //output [15:0] O_vtotal
		.O_hstart(O_hstart), //output [15:0] O_hstart
		.O_vstart(O_vstart), //output [15:0] O_vstart
		.O_hwidth(O_hwidth), //output [15:0] O_hwidth
		.O_vheight(O_vheight), //output [15:0] O_vheight
		.O_hsw(O_hsw), //output [14:0] O_hsw
		.O_vsw(O_vsw), //output [14:0] O_vsw
		.O_hsp(O_hsp), //output O_hsp
		.O_vsp(O_vsp), //output O_vsp
		.O_misc0(O_misc0), //output [7:0] O_misc0
		.O_misc1(O_misc1), //output [7:0] O_misc1
		.O_ls_vs(O_ls_vs), //output O_ls_vs
		.O_ls_hs(O_ls_hs), //output O_ls_hs
		.I_kcode0(I_kcode0), //input [3:0] I_kcode0
		.I_data0(I_data0), //input [31:0] I_data0
		.I_kcode1(I_kcode1), //input [3:0] I_kcode1
		.I_data1(I_data1), //input [31:0] I_data1
		.I_kcode2(I_kcode2), //input [3:0] I_kcode2
		.I_data2(I_data2), //input [31:0] I_data2
		.I_kcode3(I_kcode3), //input [3:0] I_kcode3
		.I_data3(I_data3), //input [31:0] I_data3
		.O_unp0_data(O_unp0_data), //output [47:0] O_unp0_data
		.O_unp0_data_valid(O_unp0_data_valid), //output O_unp0_data_valid
		.O_unp1_data(O_unp1_data), //output [47:0] O_unp1_data
		.O_unp1_data_valid(O_unp1_data_valid), //output O_unp1_data_valid
		.O_unp2_data(O_unp2_data), //output [47:0] O_unp2_data
		.O_unp2_data_valid(O_unp2_data_valid), //output O_unp2_data_valid
		.O_unp3_data(O_unp3_data), //output [47:0] O_unp3_data
		.O_unp3_data_valid(O_unp3_data_valid) //output O_unp3_data_valid
	);

//--------Copy end-------------------
