//Copyright (C)2014-2024 Gowin Semiconductor Corporation.
//All rights reserved.
//File Title: Template file for instantiation
//Tool Version: V1.9.9.03 (64-bit)
//Part Number: GW5AST-LV138FPG676AES
//Device: GW5AST-138
//Device Version: B
//Created Time: Mon May  6 15:16:36 2024

//Change the instance name and port connections to the signal names
//--------Copy here to design--------

	EDP_Encoder_Top your_instance_name(
		.I_rst_n(I_rst_n), //input I_rst_n
		.I_tx_tps1_en(I_tx_tps1_en), //input I_tx_tps1_en
		.I_tx_tps2_en(I_tx_tps2_en), //input I_tx_tps2_en
		.I_tx_video_data_en(I_tx_video_data_en), //input I_tx_video_data_en
		.I_frame_type(I_frame_type), //input I_frame_type
		.I_scrm_value(I_scrm_value), //input I_scrm_value
		.I_vb_id(I_vb_id), //input [7:0] I_vb_id
		.I_msa_mvid(I_msa_mvid), //input [23:0] I_msa_mvid
		.I_msa_nvid(I_msa_nvid), //input [23:0] I_msa_nvid
		.I_tu_size(I_tu_size), //input [7:0] I_tu_size
		.I_avs_per_tu(I_avs_per_tu), //input [7:0] I_avs_per_tu
		.I_lsck_htotal(I_lsck_htotal), //input [15:0] I_lsck_htotal
		.I_lsck_hblank(I_lsck_hblank), //input [15:0] I_lsck_hblank
		.I_msa_htotal(I_msa_htotal), //input [15:0] I_msa_htotal
		.I_msa_vtotal(I_msa_vtotal), //input [15:0] I_msa_vtotal
		.I_msa_hstart(I_msa_hstart), //input [15:0] I_msa_hstart
		.I_msa_vstart(I_msa_vstart), //input [15:0] I_msa_vstart
		.I_msa_hwidth(I_msa_hwidth), //input [15:0] I_msa_hwidth
		.I_msa_vheight(I_msa_vheight), //input [15:0] I_msa_vheight
		.I_msa_hsphsw(I_msa_hsphsw), //input [15:0] I_msa_hsphsw
		.I_msa_vspvsw(I_msa_vspvsw), //input [15:0] I_msa_vspvsw
		.I_msa_misc0(I_msa_misc0), //input [7:0] I_msa_misc0
		.I_msa_misc1(I_msa_misc1), //input [7:0] I_msa_misc1
		.I_strm_clk(I_strm_clk), //input I_strm_clk
		.I_pix_vs(I_pix_vs), //input I_pix_vs
		.I_pix_hs(I_pix_hs), //input I_pix_hs
		.I_pix_de(I_pix_de), //input I_pix_de
		.I_ls_clk(I_ls_clk), //input I_ls_clk
		.I_pix_data0(I_pix_data0), //input [23:0] I_pix_data0
		.I_pix_data1(I_pix_data1), //input [23:0] I_pix_data1
		.I_pix_data2(I_pix_data2), //input [23:0] I_pix_data2
		.I_pix_data3(I_pix_data3), //input [23:0] I_pix_data3
		.O_tx_data_0(O_tx_data_0), //output [31:0] O_tx_data_0
		.O_tx_data_1(O_tx_data_1), //output [31:0] O_tx_data_1
		.O_tx_data_2(O_tx_data_2), //output [31:0] O_tx_data_2
		.O_tx_data_3(O_tx_data_3), //output [31:0] O_tx_data_3
		.O_k_code_0(O_k_code_0), //output [3:0] O_k_code_0
		.O_k_code_1(O_k_code_1), //output [3:0] O_k_code_1
		.O_k_code_2(O_k_code_2), //output [3:0] O_k_code_2
		.O_k_code_3(O_k_code_3) //output [3:0] O_k_code_3
	);

//--------Copy end-------------------
