//Copyright (C)2014-2024 GOWIN Semiconductor Corporation.
//All rights reserved.
//File Title: Timing Constraints file
//Tool Version: V1.9.9.03 (64-bit) 
//Created Time: 2024-04-29 13:27:26
create_clock -name strm_clk -period 26.936 -waveform {0 13.468} [get_nets {strm_clk}] -add
create_clock -name I_aux_clk -period 25 -waveform {0 12.5} [get_nets {I_aux_clk}] -add
create_clock -name I_clk -period 20 -waveform {0 10} [get_ports {I_clk}] -add
create_clock -name ln0_pcs_tx_o_fabric_clk -period 24.691 -waveform {0 12.345} [get_nets {ln0_pcs_tx_o_fabric_clk}] -add
create_clock -name ln0_pcs_rx_o_fabric_clk -period 24.691 -waveform {0 12.345} [get_nets {ln0_pcs_rx_o_fabric_clk}] -add
set_false_path -from [get_clocks {ln0_pcs_rx_o_fabric_clk}] -to [get_clocks {ln0_pcs_tx_o_fabric_clk}] 
set_false_path -from [get_clocks {ln0_pcs_rx_o_fabric_clk}] -to [get_clocks {I_clk}] 
set_false_path -from [get_clocks {ln0_pcs_rx_o_fabric_clk}] -to [get_clocks {I_aux_clk}] 
set_false_path -from [get_clocks {ln0_pcs_rx_o_fabric_clk}] -to [get_clocks {strm_clk}] 
set_false_path -from [get_clocks {ln0_pcs_tx_o_fabric_clk}] -to [get_clocks {I_clk}] 
set_false_path -from [get_clocks {ln0_pcs_tx_o_fabric_clk}] -to [get_clocks {I_aux_clk}]
set_false_path -from [get_clocks {ln0_pcs_tx_o_fabric_clk}] -to [get_clocks {strm_clk}] 
set_false_path -from [get_clocks {I_aux_clk}]               -to [get_clocks {strm_clk}] 
set_false_path -from [get_clocks {I_clk}]                   -to [get_clocks {strm_clk}] 
set_false_path -from [get_clocks {I_clk}]                   -to [get_clocks {I_aux_clk}] 
set_false_path -from [get_clocks {ln0_pcs_tx_o_fabric_clk}] -to [get_clocks {ln0_pcs_rx_o_fabric_clk}]  
set_false_path -from [get_clocks {I_clk}]                   -to [get_clocks {ln0_pcs_rx_o_fabric_clk}] 
set_false_path -from [get_clocks {I_aux_clk}]               -to [get_clocks {ln0_pcs_rx_o_fabric_clk}] 
set_false_path -from [get_clocks {strm_clk}]                -to [get_clocks {ln0_pcs_rx_o_fabric_clk}] 
set_false_path -from [get_clocks {I_clk}]                   -to [get_clocks {ln0_pcs_tx_o_fabric_clk}] 
set_false_path -from [get_clocks {I_aux_clk}]               -to [get_clocks {ln0_pcs_tx_o_fabric_clk}] 
set_false_path -from [get_clocks {strm_clk}]                -to [get_clocks {ln0_pcs_tx_o_fabric_clk}] 
set_false_path -from [get_clocks {strm_clk}]                -to [get_clocks {I_aux_clk}] 
set_false_path -from [get_clocks {strm_clk}]                -to [get_clocks {I_clk}]
set_false_path -from [get_clocks {I_aux_clk}]               -to [get_clocks {I_clk}]  
