//Copyright (C)2014-2024 Gowin Semiconductor Corporation.
//All rights reserved.
//File Title: Template file for instantiation
//Tool Version: V1.9.9.03 (64-bit)
//Part Number: GW5AST-LV138FPG676AES
//Device: GW5AST-138B
//Device Version: B
//Created Time: Mon May  6 15:15:37 2024

//Change the instance name and port connections to the signal names
//--------Copy here to design--------

    SerDes_Top your_instance_name(
        .EDP_PHY_Top_ln0_cpll_ok_o(EDP_PHY_Top_ln0_cpll_ok_o), //output EDP_PHY_Top_ln0_cpll_ok_o
        .EDP_PHY_Top_ln0_pma_rx_lock_o(EDP_PHY_Top_ln0_pma_rx_lock_o), //output EDP_PHY_Top_ln0_pma_rx_lock_o
        .EDP_PHY_Top_ln0_align_link_o(EDP_PHY_Top_ln0_align_link_o), //output EDP_PHY_Top_ln0_align_link_o
        .EDP_PHY_Top_ln0_k_lock_o(EDP_PHY_Top_ln0_k_lock_o), //output EDP_PHY_Top_ln0_k_lock_o
        .EDP_PHY_Top_ln0_pcs_rx_clk_o(EDP_PHY_Top_ln0_pcs_rx_clk_o), //output EDP_PHY_Top_ln0_pcs_rx_clk_o
        .EDP_PHY_Top_ln0_rxfifo_aempty_o(EDP_PHY_Top_ln0_rxfifo_aempty_o), //output EDP_PHY_Top_ln0_rxfifo_aempty_o
        .EDP_PHY_Top_ln0_pcs_tx_clk_o(EDP_PHY_Top_ln0_pcs_tx_clk_o), //output EDP_PHY_Top_ln0_pcs_tx_clk_o
        .EDP_PHY_Top_ln0_txfifo_afull_o(EDP_PHY_Top_ln0_txfifo_afull_o), //output EDP_PHY_Top_ln0_txfifo_afull_o
        .EDP_PHY_Top_ln0_rxdata_o(EDP_PHY_Top_ln0_rxdata_o), //output [31:0] EDP_PHY_Top_ln0_rxdata_o
        .EDP_PHY_Top_ln0_rxk_o(EDP_PHY_Top_ln0_rxk_o), //output [3:0] EDP_PHY_Top_ln0_rxk_o
        .EDP_PHY_Top_ln1_cpll_ok_o(EDP_PHY_Top_ln1_cpll_ok_o), //output EDP_PHY_Top_ln1_cpll_ok_o
        .EDP_PHY_Top_ln1_pma_rx_lock_o(EDP_PHY_Top_ln1_pma_rx_lock_o), //output EDP_PHY_Top_ln1_pma_rx_lock_o
        .EDP_PHY_Top_ln1_align_link_o(EDP_PHY_Top_ln1_align_link_o), //output EDP_PHY_Top_ln1_align_link_o
        .EDP_PHY_Top_ln1_k_lock_o(EDP_PHY_Top_ln1_k_lock_o), //output EDP_PHY_Top_ln1_k_lock_o
        .EDP_PHY_Top_ln1_pcs_rx_clk_o(EDP_PHY_Top_ln1_pcs_rx_clk_o), //output EDP_PHY_Top_ln1_pcs_rx_clk_o
        .EDP_PHY_Top_ln1_rxfifo_aempty_o(EDP_PHY_Top_ln1_rxfifo_aempty_o), //output EDP_PHY_Top_ln1_rxfifo_aempty_o
        .EDP_PHY_Top_ln1_pcs_tx_clk_o(EDP_PHY_Top_ln1_pcs_tx_clk_o), //output EDP_PHY_Top_ln1_pcs_tx_clk_o
        .EDP_PHY_Top_ln1_txfifo_afull_o(EDP_PHY_Top_ln1_txfifo_afull_o), //output EDP_PHY_Top_ln1_txfifo_afull_o
        .EDP_PHY_Top_ln1_rxdata_o(EDP_PHY_Top_ln1_rxdata_o), //output [31:0] EDP_PHY_Top_ln1_rxdata_o
        .EDP_PHY_Top_ln1_rxk_o(EDP_PHY_Top_ln1_rxk_o), //output [3:0] EDP_PHY_Top_ln1_rxk_o
        .EDP_PHY_Top_ln2_cpll_ok_o(EDP_PHY_Top_ln2_cpll_ok_o), //output EDP_PHY_Top_ln2_cpll_ok_o
        .EDP_PHY_Top_ln2_pma_rx_lock_o(EDP_PHY_Top_ln2_pma_rx_lock_o), //output EDP_PHY_Top_ln2_pma_rx_lock_o
        .EDP_PHY_Top_ln2_align_link_o(EDP_PHY_Top_ln2_align_link_o), //output EDP_PHY_Top_ln2_align_link_o
        .EDP_PHY_Top_ln2_k_lock_o(EDP_PHY_Top_ln2_k_lock_o), //output EDP_PHY_Top_ln2_k_lock_o
        .EDP_PHY_Top_ln2_pcs_rx_clk_o(EDP_PHY_Top_ln2_pcs_rx_clk_o), //output EDP_PHY_Top_ln2_pcs_rx_clk_o
        .EDP_PHY_Top_ln2_rxfifo_aempty_o(EDP_PHY_Top_ln2_rxfifo_aempty_o), //output EDP_PHY_Top_ln2_rxfifo_aempty_o
        .EDP_PHY_Top_ln2_pcs_tx_clk_o(EDP_PHY_Top_ln2_pcs_tx_clk_o), //output EDP_PHY_Top_ln2_pcs_tx_clk_o
        .EDP_PHY_Top_ln2_txfifo_afull_o(EDP_PHY_Top_ln2_txfifo_afull_o), //output EDP_PHY_Top_ln2_txfifo_afull_o
        .EDP_PHY_Top_ln2_rxdata_o(EDP_PHY_Top_ln2_rxdata_o), //output [31:0] EDP_PHY_Top_ln2_rxdata_o
        .EDP_PHY_Top_ln2_rxk_o(EDP_PHY_Top_ln2_rxk_o), //output [3:0] EDP_PHY_Top_ln2_rxk_o
        .EDP_PHY_Top_ln3_cpll_ok_o(EDP_PHY_Top_ln3_cpll_ok_o), //output EDP_PHY_Top_ln3_cpll_ok_o
        .EDP_PHY_Top_ln3_pma_rx_lock_o(EDP_PHY_Top_ln3_pma_rx_lock_o), //output EDP_PHY_Top_ln3_pma_rx_lock_o
        .EDP_PHY_Top_ln3_align_link_o(EDP_PHY_Top_ln3_align_link_o), //output EDP_PHY_Top_ln3_align_link_o
        .EDP_PHY_Top_ln3_k_lock_o(EDP_PHY_Top_ln3_k_lock_o), //output EDP_PHY_Top_ln3_k_lock_o
        .EDP_PHY_Top_ln3_pcs_rx_clk_o(EDP_PHY_Top_ln3_pcs_rx_clk_o), //output EDP_PHY_Top_ln3_pcs_rx_clk_o
        .EDP_PHY_Top_ln3_rxfifo_aempty_o(EDP_PHY_Top_ln3_rxfifo_aempty_o), //output EDP_PHY_Top_ln3_rxfifo_aempty_o
        .EDP_PHY_Top_ln3_pcs_tx_clk_o(EDP_PHY_Top_ln3_pcs_tx_clk_o), //output EDP_PHY_Top_ln3_pcs_tx_clk_o
        .EDP_PHY_Top_ln3_txfifo_afull_o(EDP_PHY_Top_ln3_txfifo_afull_o), //output EDP_PHY_Top_ln3_txfifo_afull_o
        .EDP_PHY_Top_ln3_rxdata_o(EDP_PHY_Top_ln3_rxdata_o), //output [31:0] EDP_PHY_Top_ln3_rxdata_o
        .EDP_PHY_Top_ln3_rxk_o(EDP_PHY_Top_ln3_rxk_o), //output [3:0] EDP_PHY_Top_ln3_rxk_o
        .EDP_PHY_Top_qpll0_ok_o(EDP_PHY_Top_qpll0_ok_o), //output EDP_PHY_Top_qpll0_ok_o
        .EDP_PHY_Top_qpll1_ok_o(EDP_PHY_Top_qpll1_ok_o), //output EDP_PHY_Top_qpll1_ok_o
        .EDP_PHY_Top_ln0_rxfifo_rdusewd_o(EDP_PHY_Top_ln0_rxfifo_rdusewd_o), //output [4:0] EDP_PHY_Top_ln0_rxfifo_rdusewd_o
        .EDP_PHY_Top_ln0_rxfifo_empty_o(EDP_PHY_Top_ln0_rxfifo_empty_o), //output EDP_PHY_Top_ln0_rxfifo_empty_o
        .EDP_PHY_Top_ln0_txfifo_wrusewd_o(EDP_PHY_Top_ln0_txfifo_wrusewd_o), //output [4:0] EDP_PHY_Top_ln0_txfifo_wrusewd_o
        .EDP_PHY_Top_ln0_txfifo_full_o(EDP_PHY_Top_ln0_txfifo_full_o), //output EDP_PHY_Top_ln0_txfifo_full_o
        .EDP_PHY_Top_ln1_rxfifo_rdusewd_o(EDP_PHY_Top_ln1_rxfifo_rdusewd_o), //output [4:0] EDP_PHY_Top_ln1_rxfifo_rdusewd_o
        .EDP_PHY_Top_ln1_rxfifo_empty_o(EDP_PHY_Top_ln1_rxfifo_empty_o), //output EDP_PHY_Top_ln1_rxfifo_empty_o
        .EDP_PHY_Top_ln1_txfifo_wrusewd_o(EDP_PHY_Top_ln1_txfifo_wrusewd_o), //output [4:0] EDP_PHY_Top_ln1_txfifo_wrusewd_o
        .EDP_PHY_Top_ln1_txfifo_full_o(EDP_PHY_Top_ln1_txfifo_full_o), //output EDP_PHY_Top_ln1_txfifo_full_o
        .EDP_PHY_Top_ln2_rxfifo_rdusewd_o(EDP_PHY_Top_ln2_rxfifo_rdusewd_o), //output [4:0] EDP_PHY_Top_ln2_rxfifo_rdusewd_o
        .EDP_PHY_Top_ln2_rxfifo_empty_o(EDP_PHY_Top_ln2_rxfifo_empty_o), //output EDP_PHY_Top_ln2_rxfifo_empty_o
        .EDP_PHY_Top_ln2_txfifo_wrusewd_o(EDP_PHY_Top_ln2_txfifo_wrusewd_o), //output [4:0] EDP_PHY_Top_ln2_txfifo_wrusewd_o
        .EDP_PHY_Top_ln2_txfifo_full_o(EDP_PHY_Top_ln2_txfifo_full_o), //output EDP_PHY_Top_ln2_txfifo_full_o
        .EDP_PHY_Top_ln3_rxfifo_rdusewd_o(EDP_PHY_Top_ln3_rxfifo_rdusewd_o), //output [4:0] EDP_PHY_Top_ln3_rxfifo_rdusewd_o
        .EDP_PHY_Top_ln3_rxfifo_empty_o(EDP_PHY_Top_ln3_rxfifo_empty_o), //output EDP_PHY_Top_ln3_rxfifo_empty_o
        .EDP_PHY_Top_ln3_txfifo_wrusewd_o(EDP_PHY_Top_ln3_txfifo_wrusewd_o), //output [4:0] EDP_PHY_Top_ln3_txfifo_wrusewd_o
        .EDP_PHY_Top_ln3_txfifo_full_o(EDP_PHY_Top_ln3_txfifo_full_o), //output EDP_PHY_Top_ln3_txfifo_full_o
        .EDP_PHY_Top_ln0_fabric_rstn_i(EDP_PHY_Top_ln0_fabric_rstn_i), //input EDP_PHY_Top_ln0_fabric_rstn_i
        .EDP_PHY_Top_ln0_rx_rst_i(EDP_PHY_Top_ln0_rx_rst_i), //input EDP_PHY_Top_ln0_rx_rst_i
        .EDP_PHY_Top_ln0_fabric_rx_clk_i(EDP_PHY_Top_ln0_fabric_rx_clk_i), //input EDP_PHY_Top_ln0_fabric_rx_clk_i
        .EDP_PHY_Top_ln0_rxfifo_rden_i(EDP_PHY_Top_ln0_rxfifo_rden_i), //input EDP_PHY_Top_ln0_rxfifo_rden_i
        .EDP_PHY_Top_ln0_tx_rst_i(EDP_PHY_Top_ln0_tx_rst_i), //input EDP_PHY_Top_ln0_tx_rst_i
        .EDP_PHY_Top_ln0_fabric_tx_clk_i(EDP_PHY_Top_ln0_fabric_tx_clk_i), //input EDP_PHY_Top_ln0_fabric_tx_clk_i
        .EDP_PHY_Top_ln0_tx_vld_i(EDP_PHY_Top_ln0_tx_vld_i), //input EDP_PHY_Top_ln0_tx_vld_i
        .EDP_PHY_Top_ln0_txdata_i(EDP_PHY_Top_ln0_txdata_i), //input [31:0] EDP_PHY_Top_ln0_txdata_i
        .EDP_PHY_Top_ln0_txk_i(EDP_PHY_Top_ln0_txk_i), //input [3:0] EDP_PHY_Top_ln0_txk_i
        .EDP_PHY_Top_ln1_fabric_rstn_i(EDP_PHY_Top_ln1_fabric_rstn_i), //input EDP_PHY_Top_ln1_fabric_rstn_i
        .EDP_PHY_Top_ln1_rx_rst_i(EDP_PHY_Top_ln1_rx_rst_i), //input EDP_PHY_Top_ln1_rx_rst_i
        .EDP_PHY_Top_ln1_fabric_rx_clk_i(EDP_PHY_Top_ln1_fabric_rx_clk_i), //input EDP_PHY_Top_ln1_fabric_rx_clk_i
        .EDP_PHY_Top_ln1_rxfifo_rden_i(EDP_PHY_Top_ln1_rxfifo_rden_i), //input EDP_PHY_Top_ln1_rxfifo_rden_i
        .EDP_PHY_Top_ln1_tx_rst_i(EDP_PHY_Top_ln1_tx_rst_i), //input EDP_PHY_Top_ln1_tx_rst_i
        .EDP_PHY_Top_ln1_fabric_tx_clk_i(EDP_PHY_Top_ln1_fabric_tx_clk_i), //input EDP_PHY_Top_ln1_fabric_tx_clk_i
        .EDP_PHY_Top_ln1_tx_vld_i(EDP_PHY_Top_ln1_tx_vld_i), //input EDP_PHY_Top_ln1_tx_vld_i
        .EDP_PHY_Top_ln1_txdata_i(EDP_PHY_Top_ln1_txdata_i), //input [31:0] EDP_PHY_Top_ln1_txdata_i
        .EDP_PHY_Top_ln1_txk_i(EDP_PHY_Top_ln1_txk_i), //input [3:0] EDP_PHY_Top_ln1_txk_i
        .EDP_PHY_Top_ln2_fabric_rstn_i(EDP_PHY_Top_ln2_fabric_rstn_i), //input EDP_PHY_Top_ln2_fabric_rstn_i
        .EDP_PHY_Top_ln2_rx_rst_i(EDP_PHY_Top_ln2_rx_rst_i), //input EDP_PHY_Top_ln2_rx_rst_i
        .EDP_PHY_Top_ln2_fabric_rx_clk_i(EDP_PHY_Top_ln2_fabric_rx_clk_i), //input EDP_PHY_Top_ln2_fabric_rx_clk_i
        .EDP_PHY_Top_ln2_rxfifo_rden_i(EDP_PHY_Top_ln2_rxfifo_rden_i), //input EDP_PHY_Top_ln2_rxfifo_rden_i
        .EDP_PHY_Top_ln2_tx_rst_i(EDP_PHY_Top_ln2_tx_rst_i), //input EDP_PHY_Top_ln2_tx_rst_i
        .EDP_PHY_Top_ln2_fabric_tx_clk_i(EDP_PHY_Top_ln2_fabric_tx_clk_i), //input EDP_PHY_Top_ln2_fabric_tx_clk_i
        .EDP_PHY_Top_ln2_tx_vld_i(EDP_PHY_Top_ln2_tx_vld_i), //input EDP_PHY_Top_ln2_tx_vld_i
        .EDP_PHY_Top_ln2_txdata_i(EDP_PHY_Top_ln2_txdata_i), //input [31:0] EDP_PHY_Top_ln2_txdata_i
        .EDP_PHY_Top_ln2_txk_i(EDP_PHY_Top_ln2_txk_i), //input [3:0] EDP_PHY_Top_ln2_txk_i
        .EDP_PHY_Top_ln3_fabric_rstn_i(EDP_PHY_Top_ln3_fabric_rstn_i), //input EDP_PHY_Top_ln3_fabric_rstn_i
        .EDP_PHY_Top_ln3_rx_rst_i(EDP_PHY_Top_ln3_rx_rst_i), //input EDP_PHY_Top_ln3_rx_rst_i
        .EDP_PHY_Top_ln3_fabric_rx_clk_i(EDP_PHY_Top_ln3_fabric_rx_clk_i), //input EDP_PHY_Top_ln3_fabric_rx_clk_i
        .EDP_PHY_Top_ln3_rxfifo_rden_i(EDP_PHY_Top_ln3_rxfifo_rden_i), //input EDP_PHY_Top_ln3_rxfifo_rden_i
        .EDP_PHY_Top_ln3_tx_rst_i(EDP_PHY_Top_ln3_tx_rst_i), //input EDP_PHY_Top_ln3_tx_rst_i
        .EDP_PHY_Top_ln3_fabric_tx_clk_i(EDP_PHY_Top_ln3_fabric_tx_clk_i), //input EDP_PHY_Top_ln3_fabric_tx_clk_i
        .EDP_PHY_Top_ln3_tx_vld_i(EDP_PHY_Top_ln3_tx_vld_i), //input EDP_PHY_Top_ln3_tx_vld_i
        .EDP_PHY_Top_ln3_txdata_i(EDP_PHY_Top_ln3_txdata_i), //input [31:0] EDP_PHY_Top_ln3_txdata_i
        .EDP_PHY_Top_ln3_txk_i(EDP_PHY_Top_ln3_txk_i), //input [3:0] EDP_PHY_Top_ln3_txk_i
        .EDP_PHY_Top_ln0_chbond_start_i(EDP_PHY_Top_ln0_chbond_start_i), //input EDP_PHY_Top_ln0_chbond_start_i
        .EDP_PHY_Top_ln1_chbond_start_i(EDP_PHY_Top_ln1_chbond_start_i), //input EDP_PHY_Top_ln1_chbond_start_i
        .EDP_PHY_Top_ln2_chbond_start_i(EDP_PHY_Top_ln2_chbond_start_i), //input EDP_PHY_Top_ln2_chbond_start_i
        .EDP_PHY_Top_ln3_chbond_start_i(EDP_PHY_Top_ln3_chbond_start_i) //input EDP_PHY_Top_ln3_chbond_start_i
    );

//--------Copy end-------------------
